package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF2DAData {

    private Map<String, Object> params;
    
    public MWF2DAData(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCardtokenrefid() {
        return (String) params.get("RS_CARDTOKENREFID");
    }

    public String rsCardtokennumber() {
        return (String) params.get("RS_CARDTOKENNUMBER");
    }

    public String rsCardtokennumbermask() {
        return (String) params.get("RS_CARDTOKENNUMBERMASK");
    }

    public java.util.Date rsCardtokencreatedate() {
        return (java.util.Date) params.get("RS_CARDTOKENCREATEDATE");
    }

    public java.util.Date rsCardtokenexpirationdate() {
        return (java.util.Date) params.get("RS_CARDTOKENEXPIRATIONDATE");
    }

    public String rsCardtokenstatuscode() {
        return (String) params.get("RS_CARDTOKENSTATUSCODE");
    }

    public String rsCardtokendeviceid() {
        return (String) params.get("RS_CARDTOKENDEVICEID");
    }

    public String rsCardtokendevicename() {
        return (String) params.get("RS_CARDTOKENDEVICENAME");
    }

    public String rsCardtokendevicetype() {
        return (String) params.get("RS_CARDTOKENDEVICETYPE");
    }

    public String rsCardtokenwalletid() {
        return (String) params.get("RS_CARDTOKENWALLETID");
    }

    public String rsCardtokenrequestorid() {
        return (String) params.get("RS_CARDTOKENREQUESTORID");
    }

    public String rsCardtokenpanrefid() {
        return (String) params.get("RS_CARDTOKENPANREFID");
    } 

}
